Page MenuHome

X11 error and segfault - blender 2.80.35 (beta) - linux xubuntu 18.04
Closed, DuplicatePublic

Description

Hi there, I have downloaded and extracted 2.80.35 for linux 64 bit. I am on a xubuntu distribution of linux, 18.04 LTS. The build will not run in foreground mode but I can get it to run fine in background mode. Here's the output from the console when I try to open the application normally (foreground mode).

Happy to supply more details on the hardware and OS setup if needed.

Operating System:

lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu 18.04.1 LTS
Release: 18.04
Codename: bionic

Graphics Card:

lspci | grep VGA
00:0d.0 VGA compatible controller: NVIDIA Corporation C61 [GeForce 7025 / nForce 630a] (rev a2)

Blender Version
Broken:
2.80.35
working:
2.79b release

Short Description of error:
Attempt to load blender from terminal or double clicking on the application. Blender exits immediately with a segfault, the following text is printed to the output console/terminal

xubuntu:~/Downloads/Blender_daily/2.80.35$ ./blender
Received X11 Error:

	error code:   182
	request code: 155
	minor code:   34
	error text:   GLXBadFBConfig

Received X11 Error:

	error code:   182
	request code: 155
	minor code:   34
	error text:   GLXBadFBConfig

Received X11 Error:

	error code:   182
	request code: 155
	minor code:   34
	error text:   GLXBadFBConfig

Received X11 Error:

	error code:   182
	request code: 155
	minor code:   34
	error text:   GLXBadFBConfig

Received X11 Error:

	error code:   182
	request code: 155
	minor code:   34
	error text:   GLXBadFBConfig

Received X11 Error:

	error code:   182
	request code: 155
	minor code:   34
	error text:   GLXBadFBConfig

Received X11 Error:

	error code:   182
	request code: 155
	minor code:   34
	error text:   GLXBadFBConfig

Writing: /tmp/blender.crash.txt
Segmentation fault (core dumped)

Details

Type
Bug

Event Timeline

Brecht Van Lommel (brecht) triaged this task as Incomplete priority.Mon, Dec 3, 11:24 AM

Please provide all the information requested in the bug submission form, including graphics card and exact Blender version.
https://developer.blender.org/maniphest/task/edit/form/1/

Jeducious (jameshcrowther) raised the priority of this task from Incomplete to Needs Triage.

Hi @Brecht Van Lommel (brecht), I've updated the details of the report as per the URL you gave :)

Thanks

Sebastian Parborg (zeddb) triaged this task as Incomplete priority.EditedFri, Dec 7, 3:03 PM

The blender 2.8 version should include build data and hash.
You should also try the newest blender 2.8 beta version as a lot of graphics bugs and crashes has been resolved.

BTW, if you really have a GeForce 7025, then it is too old for blender 2.8. According to the wiki https://en.wikipedia.org/wiki/GeForce_7_series
It only supports opengl 2.1. You need at least opengl 3.3 to run blender 2.8